/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.synopsisWizard-step1 {
  margin-top: 1.5rem;

  .hinweis-component {
    margin-inline: 0px !important;
    margin-block: 16px !important;
    font-size: 1.6rem;
    line-height: 2.4rem;
  }

  .column-configuration {
    .synopsis-form-item {
      margin-right: 24px;
    }

    .delete-button {
      margin-bottom: 10px;
      text-align: right;
      > .delete-document-button {
        margin-right: 24px;
      }
      &.hidden {
        display: none;
      }
    }
    .ant-btn-link {
      color: @platfrom-blue1;
      > span {
        text-decoration: underline;
      }
    }
  }
  .ant-typography {
    margin-bottom: 0;
  }
  .requiredMessage {
    font-size: 1.6rem;
    line-height: 2.4rem;
  }

  .ant-form-item {
    margin-bottom: 0;
  }

  .ant-row {
    .ant-col {
      margin-top: 0px;
      padding-bottom: 16px;
      padding-top: 0px;
      label {
        font-size: 1.8rem;
        line-height: 2.6rem;
      }
      .ant-form-item-control-input {
        min-height: 0;
      }
    }
  }

  .config-item-label {
    margin-block: 16px;
    font-weight: 500;
    > label {
      font-size: 2rem;
      line-height: 2.8rem;
      font-family:
        IBM Plex Sans,
        sans-serif;
    }
  }

  .ant-form-item-control-input-content {
    font-size: 1.6rem;
    line-height: 2.4rem;
  }
  .delete-document-button,
  .add-document-button {
    font-size: 1.6rem;
    line-height: 2.4rem;
    font-weight: 500;
    display: flex;
    align-items: center;
  }
  .delete-document-button {
    margin-left: auto;
  }
}
